<?php

// Product name (it must match part of the item name on the PayPal button)
$productName = "Test";

// Your PayPal PDT identity token here
$token = "identity-token";

// Your PayPal email address
$yourmail = "you@example.com";

// The price of this product
$price = 0.01;

// Receipt filename, do not change
$filename = "receipt.txt";

// Make sure the transaction is valid

if ($info = pdt($token)) {
   if (
      $info["payment_gross"] == $price       and
      $info["business"] == $yourmail         and
      $info["payment_status"] == "Completed" and
      eregi($productName, $info["item_name"])
   ) {
      // Everything went through, so open the read the list of receipts
      $list = file($filename);
      $list = array_map("trim", $list);

      // Add this transaction ID to the end
      $list[] = $info["txn_id"];

      // Make sure there are no duplicates
      $list = array_values(array_unique($list));

      // Change from an array into a string
      $list = implode("\n", $list);

      // Write back to the file
      $fp = fopen($filename, "w");
      fwrite($fp, $list);
      fclose($fp);

      ?>
      (your thank you page here)

      <?

   }

}

function pdt($token) {

   $input = $_POST;

   // read the post from PayPal system and add 'cmd'
   $req = 'cmd=_notify-synch';

   $tx_token = $_GET['tx'];
   $auth_token = $token;
   $req .= "&tx=$tx_token&at=$auth_token";

   // post back to PayPal system to validate
   $header .= "POST /cgi-bin/webscr HTTP/1.0\r\n";
   $header .= "Content-Type: application/x-www-form-urlencoded\r\n";
   $header .= "Content-Length: " . strlen($req) . "\r\n\r\n";

	  // Try SSL first
	  $fp = @fsockopen ('ssl://www.paypal.com', 443, $errno, $errstr, 30);

	  if (!$fp) {
		 // SSL doesn't work, just use HTTP
	     $fp = fsockopen ('www.paypal.com', 80, $errno, $errstr, 30);
	  }
   if (!$fp) {
      // HTTP ERROR
      return false;
   }
   fputs ($fp, $header . $req);
   // read the body data 
   $res = '';
   $headerdone = false;
   while (!feof($fp)) {
      $line = fgets ($fp, 1024);
      if (strcmp($line, "\r\n") == 0) {
         // read the header
         $headerdone = true;
      }
      else if ($headerdone) {
         // header has been read. now read the contents
         $res .= $line;
      }
   }

   // parse the data
   $lines = explode("\n", $res);
	  $lines = array_map("trim", $lines);
   $keyarray = array();

   if ($lines[0] != "SUCCESS") {
      return false;
   }

   for ($i=1; $i<count($lines);$i++){
      list($key,$val) = explode("=", $lines[$i]);
      $keyarray[urldecode($key)] = urldecode($val);
   }

   return $keyarray;
}

?>