<?php

// The price you are selling this product for
$targetPrice = "$7.50";

// Your e-mail address
$you = "you@example.com";

if (!$_COOKIE["price"]) {

   $price = '$' . number_format($_POST["price"], 2);

   // Read the e-mail template
   $contents = file_get_contents("message.txt");

   // Apply IP and price variables
   $contents = str_replace('{price}', $price, $contents);
   $contents = str_replace('{ip}', $_SERVER["REMOTE_ADDR"], $contents);

   $ip = $_SERVER["REMOTE_ADDR"];
   $subject = "New Estimate ($ip)";

   // Send e-mail to the site owner
   if ($you) {
	   $mail = new Mailer("Pricing Suggestion", $you);
	   $mail->send($you, $subject, $contents);
   }

   setcookie("price", $price, strtotime("+1 year"), "/");
}

else {
   $price = $_COOKIE["price"];
}

// Figure out how many dollars and how much of a percentage is saved
$discount = parsePrice($price) - parsePrice($targetPrice);
if (parsePrice($price) > 0) {
   $ratio = $discount / parsePrice($price);
}
else {
   $ratio = 0;
}

$discount = '$' . number_format($discount, 2);
$ratio = number_format($ratio * 100, 0) . '%';

function parsePrice($input) {
   $input = str_replace('$', '', $input);
   return floatval($input);
}

/**
   Library for sending e-mails in different formats.
*/

class Mailer {

   var $myname, $mymail, $headers, $headerList, $type;

   function Mailer($myname, $mymail) {

      $this->headerList = array(
         "text" => "Content-Type: text/plain; charset=us-ascii\nFrom: {myname} <{mymail}>\nReply-To: <{mymail}>\nReturn-Path: <{mymail}>\nX-Originating-IP: ".$_SERVER["REMOTE_ADDR"]."\nX-Mailer: PHP"
      );

      $this->type = "text";

      $this->myname = $myname;
      $this->mymail = $mymail;

      $this->refresh();
   }

   function refresh() {
      $newType = $this->headerList[$this->type];
      $newType = str_replace('{mymail}', $this->mymail, $newType);
      $newType = str_replace('{myname}', $this->myname, $newType);
      $this->headers = $newType;
   }

   /**
      Sends a text e-mail message containing the appropriate headers.
      @param myname the sender name
      @param mymail the sender e-mail address
      @param email the recipient e-mail address
      @param subject the subject line
      @param body the actual message
      @return true if the e-mail was accepted for delivery
              false if something went wrong
   */
   function send($email, $subject, $body) {

      @ini_set("sendmail_from", $this->mymail);
      $this->refresh();

      if ($email != "") { $result = mail($email,stripslashes($subject),stripslashes($body),$this->headers); }
      else $result = false;
      @ini_restore("sendmail_from");

      return $result;
   }
}

?>

<h1>You're Willing to Pay <?=$price?>?</h1>

<? if (parsePrice($price) < parsePrice($targetPrice)) { ?>

<p>Let's be fair.  Didn't I explain all the time-saving features of this script, isn't the time saved from ... worth more than <?=$price?>?</p>

<p>Does <?=$targetPrice?> sound like a more fair price to you?</p>

<? }
elseif (parsePrice($price) > parsePrice($targetPrice)) { ?>

<p>So you're telling me I should sell this software for <?=$price?>...</p>

<p><b>Wow... that is a generous offer.</b></p>

<p>What about this:</p>

<p align="center">I'll give you a discount of <?=$discount?>, making the price just <span style="color:blue;"><b><?=$targetPrice?></b></span>.<br>
(That's a <?=$ratio?> savings!!)</p>

<? }
else { ?>

<p align="center">You and I think alike.  <?=$targetPrice?> was the EXACT price I had in mind!</p>

<? } ?>

<p align="center">You can order below.</p>

<?include("button.php")?>